Author Topic: Yaba Sanshiro on original XD  (Read 527 times)

lemmywinks (OP)

  • Posts: 2795
Yaba Sanshiro on original XD
« on: September 19, 2019, 09:56:16 pm »
Haven't played this in a while and it now seems to be broken after an update, it's version 1.6.5. After about 15 attempts at closing and opening the emulator I got Darius 2 to work with no sound but that was the only success I've had, just seems to stop working and exits the emulator. It used to work pretty well, what is a good version to use on the old XD? The new one isn't compatible according to the Play store.
Handhelds:
GPD Win, GPD XD 64gb, RS-97, RS-90, 3DS XL, DSi XL, GBA SP, GBBC Clone, Gameboy Pocket, PSP Go
PC:
Medion Erazer, Toshiba Z20t, Dell Mini 9, Psion 5MX
Tons of other old laptops and tablets.....

tiagao_extremo

  • Posts: 737
Re: Yaba Sanshiro on original XD
« Reply #1 on: September 19, 2019, 11:44:59 pm »
The last version that is compatible with the original XD is 1.9.2. I never tried Darius, but 2D games runs mostly fine. Try searching for this version that you will find the apk to download.

lemmywinks (OP)

  • Posts: 2795
Re: Yaba Sanshiro on original XD
« Reply #2 on: September 20, 2019, 07:55:21 am »
Nice one thanks!
Handhelds:
GPD Win, GPD XD 64gb, RS-97, RS-90, 3DS XL, DSi XL, GBA SP, GBBC Clone, Gameboy Pocket, PSP Go
PC:
Medion Erazer, Toshiba Z20t, Dell Mini 9, Psion 5MX
Tons of other old laptops and tablets.....

 

Post a new topic
Post a new topic